SystemOrganization addCategory: #'Morphic-Tooltip'!

BalloonMorph subclass: #TooltipMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Morphic-Tooltip'!

!TooltipMorph class methodsFor: 'private' stamp: 'MJK 1/27/2012 23:16'!
getVertices: bounds
	"Construct vertices for a balloon"

	| corners |
	corners := bounds corners atAll: #(1 4 3 2).
	^ (Array
		with: corners first
		with: corners first + (5 @ 0)
		with: corners first + (5 @ -5)
		with: corners first + (10 @ 0)) ,
		(Array
			with: corners second + (20 @ 0)
			with: corners third + (20 @ 0)
			with: corners fourth)! !

!TooltipMorph methodsFor: 'menus' stamp: 'MJK 1/28/2012 01:04'!
adjustedCenter
	^ ((Array with: (self vertices first)) , (self vertices last: 3)) average rounded! !

!TooltipMorph methodsFor: 'initialization' stamp: 'MJK 1/27/2012 23:19'!
defaultBorderWidth
	^ 1! !

!TooltipMorph methodsFor: 'initialization' stamp: 'MJK 1/27/2012 23:18'!
initialize
	super initialize.
	self beStraightSegments.! !
